<?php
/*
 * Este arquivo salva os dados do cliente da agência.
 */

require_once(__DIR__ . "/../../classes/Sistema.php");
set_sistema(Sistema::WIN7_ADM);
$sistema = new Sistema(true, true, false);

if (!ctype_digit($_POST['id'])) { // Verifica se a ID é um número
	echo "-2ID inválida!";
	exit;
}

/* Verifica se os dados básicos são válidos */
if (empty($_POST['nome']) || empty($_POST['login']) || empty($_POST['empresa'])) {
	echo "-2Dados inválidos!";
	exit;
}

/* Verifica se a quantidade de ramais do vono é um número */
if (!ctype_digit($_POST['qtdVono'])) {
	echo "-2Dados inválidos!";
	exit;
}

/* Verifica se a quantidade de ramais do vono é um número */
if (!ctype_digit($_POST['qtdCampanhas'])) {
	echo "-2Dados inválidos!";
	exit;
}

/* Verifica se a data inicial do vono é inválida */
if (!empty($_POST['datainicial']) & !Utilitarios::data_valida($_POST['datainicial'])) {
	echo "-2Data Inicial Inválida!";
	exit;
}

/* Verifica se a data final do vono é inválida */
if (!empty($_POST['datafinal']) & !Utilitarios::data_valida($_POST['datafinal'])) {
	echo "-2Data Final Inválida!";
	exit;
}

/* Verifica se a página home especificada é válida */
$textos = array_keys($sistema->layout->possiveis_home);
if (!in_array($_POST['paginainicial'], $textos)) {
	echo "-2Dados inválidos!";
	exit;
}

/* Lê todos os dados do formulário */
$nome = $_POST['nome'];
$empresa = $_POST['empresa'];
$login = $_POST['login'];
$senha = Utilitarios::hash_str($_POST['senha']);
$email1 = $_POST['email1'];
$email2 = $_POST['email2'];
$telefone1 = $_POST['telefone1'];
$telefone2 = $_POST['telefone2'];
$tags = $_POST['tags'];
$seguimento = $_POST['sqlSeguimento'];
$adwords = $_POST['adwords'];
$home = $_POST['paginainicial'];
$consultoria = $_POST['consultoria'] == "Sim" ? 1 : 0;
$campanhas_ativadas = $_POST['google'] == "Sim" ? 1 : 0;
$whatsapp_ativado = $_POST['whatsapp'] == "Sim" ? 1 : 0;
$sms_ativado = $_POST['sms'] == "Sim" ? 1 : 0;
$cliente_ativo = $_POST['clienteativo'] == "Sim" ? 1 : 0;
$cliente_importante = $_POST['clienteimportante'] == "Sim" ? 1 : 0;
$win7phone_ativo = $_POST['win7phoneativo'] == "Sim" ? 1 : 0;
$mascara_ddi = $_POST['mascaraddi'] == "Sim" ? 1 : 0;
$link_clique = $_POST['linkclique'] == "Sim" ? 1 : 0;
$win7fone_ativado = $_POST['ligacoes'] == "Sim" ? 1 : 0;
$leads_ativados = $_POST['leads'] == "Sim" ? 1 : 0;
$comparacao_ativada = $_POST['comparacao'] == "Sim" ? 1 : 0;
$notificacao_fechamento = $_POST['notificacao-fechamento'] == "Sim" ? 1 : 0;
$btnaddlead = $_POST['btnaddlead'] == "Sim" ? 0 : 1;
$dados_gerais = $_POST['dadosgeraisativo'] == "Sim" ? 1 : 0;
$log_ativo = $_POST['logativo'] == "Sim" ? 1 : 0;
$vonoinicio = $_POST['datainicial'];
$vonofim = $_POST['datafinal'];
$anotacoes = $_POST['anotacoes'];
$txturlbtncontato = $_POST['txturlbtncontato'];
$id = $_POST['id'];
$valor_ligacoes = $_POST['valor-ligacoes'];
$conversao_whatsapp = $_POST['conversao-whats'];
$tag_global = $_POST['tag-global'];
$tag_forms = trim($_POST['tagforms']);
$perm_pausar_campanhas = $_POST['permpausarcampanhas'] == "Sim" ? 1 : 0;
$mostrar_total_ligacoes = $_POST['mostrartotalligacoes'] == "Sim" ? 1 : 0;
$agrupar_ligacoes = $_POST['agruparligacoes'] == "Sim" ? 1 : 0;
// $mostrar_apenas_campanhas = $_POST['mostrarapenascampanhas'] == "Sim" ? 1 : 0;
$mostrar_apenas_campanhas = $_POST['mostrarapenascampanhas'];
$ligacoes_efetuadas = $_POST['esconderligacoesefetuadas'] == "Sim" ? 1 : 0;
$mostrar_cpl = $_POST['mostrarcpl'] == "Sim" ? 1 : 0;
$moeda = intval($_POST['moedaadwords']);
$whatsBanco = $_POST['whatsBanco'] == "sim" ? 0 : 1;
$smsBanco = $_POST['smsBanco'] == "sim" ? 0 : 1;

$limite_custo_lead = preg_replace('/[^0-9]+/', '', strip_tags($_POST['limitecpl']));
if ($moeda > Sistema::MAXIMO_MOEDAS_ADWORDS || $moeda < 0) $moeda = 0;

/* Verifica se a página home selecionada é válida */
if ((($_POST['paginainicial'] == "contatos") & $leads_ativados == 0) ||
	(($_POST['paginainicial'] == "geral" || $_POST['paginainicial'] == "grupos" || $_POST['paginainicial'] == "grafico") & $campanhas_ativadas == 0) ||
	(($_POST['paginainicial'] == "ligacoes") & $win7fone_ativado == 0)
) {
	echo "-2Página inicial inválida!";
	exit;
}

/* Monta uma string contendo as ids do vono */
$vono_ids = '';
$quantidade_vono = intval($_POST['qtdVono']);
for ($counterVono = 1; $counterVono <= $quantidade_vono; $counterVono++) {
	$vonoid = $_POST['vono' . $counterVono];
	$vono_ids .= $vonoid;
	if ($counterVono < $quantidade_vono) {
		$vono_ids .= ',';
	}
}
$quantidade_email = intval($_POST['qtdEmail']);


/* Trata o POST com os numeros do WhatsApp */
$whatsappInput = $_POST['whatsappInput'];
$qtdWhats = count($whatsappInput);

$caracteresEspeciais = array(" ", "-", "(", ")", "+");

for ($i = 0; $i < $qtdWhats; $i++) {
	if ($i == $qtdWhats - 1) {
		$whatsappInputString  .= str_replace($caracteresEspeciais, '', $whatsappInput[$i]);
	} else {
		$whatsappInputString  .= str_replace($caracteresEspeciais, '', $whatsappInput[$i]) . "|%|";
	}
}

/* Trata o POST com os numeros do SMS */
$smsInput = $_POST['smsInput'];
$qtdSMS = count($smsInput);

$caracteresEspeciais = array(" ", "-", "(", ")", "+");

for ($i = 0; $i < $qtdSMS; $i++) {
	if ($i == $qtdSMS - 1) {
		$smsInputString  .= str_replace($caracteresEspeciais, '', $smsInput[$i]);
	} else {
		$smsInputString  .= str_replace($caracteresEspeciais, '', $smsInput[$i]) . "|%|";
	}
}



/* Trata os dados dos LP Formularios */

// Opcao de buscar os emails do banco
$puxaEmailsBD = $_POST['puxaEmailsBD'] == "Sim" ? 1 : 0;

// Quantidade de forms
$qtdForms = $_POST['qtdForms'];

// Verifica se a opção
if ($puxaEmailsBD == '1' && $qtdForms <= 0) {
	echo "-2É preciso ter pelo menos um formulário configurado!";
	exit;
} else if ($puxaEmailsBD == '1') {

	/*
	// PADRÃO DOS DADOS FORMULARIOS SALVOS

	Formulário 1|$|802X752556429467

	|@|desenvolvimento@grupolead.com.br|$|emilly@win7.com.br|$|alan@grupolead.com.br

	|@|Pedro|$|pedro@email.com.br|$|1
	|%|Alan|$|alan@gmail.com|$|0
	|%|João|$|joao@gmail.com|$|1

	|#|Formulário 2|$|802X50164529889

	|@|--

	|@|Pedro|$|pedro3@email.com.br|$|1
	|%|Alan|$|alan3@gmail.com|$|0

	*/

	$formulariosString = '';
	$formNomeEmailAtivo = [];
	$qtdFormParaExclusao = 0;

	// Soma a quantidade de formulários marcados para exclusão
	for ($i = 1; $i <= $qtdForms; $i++) {
		$qtdFormParaExclusao += $_POST['excluirForm' . $i];
	}

	// Verifica se todos os forms foram marcados para exclusão e enviar essa mensagem
	if ($qtdFormParaExclusao == $qtdForms) {
		echo "-2É preciso ter pelo menos um formulário configurado!";
		exit;
	}

	// Verifica a quantidade de formularios
	for ($i = 1; $i <= $qtdForms; $i++) {

		if ($_POST['excluirForm' . $i] != '1') {

			// Pega o nome, ID, nome da empresa, assunto e se é organico ou nao
			$nomeform = $_POST['nomeform' . $i];
			$formid = $_POST['formid' . $i];
			$formnomeempresa = $_POST['formnomeempresa' . $i];
			$formemailassunto = $_POST['formemailassunto' . $i];
			$formorganico = $_POST['formorganico' . $i];

			$formulariosString .= $nomeform . '|$|' . $formid . '|$|' . $formnomeempresa . '|$|' . $formemailassunto . '|$|' . $formorganico . '|@|';

			// Pega somente os e-mails ocultos marcados
			if (count($_POST['emailsocultos' . $i]) >= 1) {
				$formulariosString .= implode('|$|', $_POST['emailsocultos' . $i]);
			} else {
				$formulariosString .= '--';
			}

			$formulariosString .= '|@|';

			// Verifica se o formulário tem pelo menos 1 email
			if ($_POST['qtdEmails' . $i] != 0) {

				// Divide os arrays em partes de 3 itens
				$formNomeEmailAtivo = array_chunk($_POST['formNomeEmailAtivo' . $i], 3);

				// Varre a guarda os emails configurados
				for ($j = 0; $j <= count($formNomeEmailAtivo) - 1; $j++) {

					// Verifica se esta no ultimo loop
					if (count($formNomeEmailAtivo) - 1 == $j) {
						// Pega o nome, email e verifica se é para enviar e-mail ou não
						$formulariosString .= implode('|$|', $formNomeEmailAtivo[$j]);
					} else {
						// Pega o nome, email e verifica se é para enviar e-mail ou não
						$formulariosString .= implode('|$|', $formNomeEmailAtivo[$j]) . '|%|';
					}
				}
			} else {
				echo "-2O formulário $i precisa ter pelo menos um email configurado!";
				exit;
			}

			$formulariosString .= '|@|';

			$formidentificadortexto = "--";
			if ($_POST['formidentificadortexto' . $i] != "") {
				$formidentificadortexto = $_POST['formidentificadortexto' . $i];
			}

			if ($formidentificadortexto == "--" && $_POST['formidentificadorativo' . $i] == '1') {
				echo "-2O formulário $i precisa ter uma identifição por que está ativo!";
				exit;
			}

			$formulariosString .= $formidentificadortexto . '|$|' . $_POST['formidentificadorativo' . $i];

			$formulariosString .= '|#|';
		}
	}
	// Remove o |#| do final da string
	$formulariosString = substr($formulariosString, 0, -3);
}

// echo $formulariosString;

/* Monta array com os parâmetros para salvar no banco */
$parametros = array(
	':nome' => $nome,
	':login' => $login,
	':email1' => $email1,
	':email2' => $email2,
	':senha' => $senha,
	':empresa' => $empresa,
	':tags' => $tags,
	':seguimento' => $seguimento,
	':adwords' => $adwords,
	':telefone1' => $telefone1,
	':telefone2' => $telefone2,
	':anotacoes' => $anotacoes,
	':txturlbtncontato' => $txturlbtncontato,
	':consultoria' => $consultoria,
	':vonoid' => $vono_ids,
	':vonoinicio' => $vonoinicio,
	':vonofim' => $vonofim,
	':id' => $id,
	':google' => $campanhas_ativadas,
	':ligacoes' => $win7fone_ativado,
	':leads' => $leads_ativados,
	':comparacao' => $comparacao_ativada,
	':home' => $home,
	':fechamento' => $notificacao_fechamento,
	':btnaddlead' => $btnaddlead,
	':valorligacoes' => $valor_ligacoes,
	':whatsapp' => $whatsapp_ativado,
	':sms' => $sms_ativado,
	':clienteativo' => $cliente_ativo,
	':clienteimportante' => $cliente_importante,
	':win7foneativo' => $win7phone_ativo,
	':mascaraddi' => $mascara_ddi,
	':linkclique' => $link_clique,
	':logativo' => $log_ativo,
	':dadosgerais' => $dados_gerais,
	':tagforms' => $tag_forms,
	':permpausarcampanhas' => $perm_pausar_campanhas,
	":mostrartotalligacoes" => $mostrar_total_ligacoes,
	':agruparligacoes' => $agrupar_ligacoes,
	":moedaadwords" => $moeda,
	':mostrarapenascampanhas' => $mostrar_apenas_campanhas,
	":limitecustolead" => $limite_custo_lead,
	':mostrarcpl' => $mostrar_cpl,
	':esconderligacoesefetuadas' => $ligacoes_efetuadas,
	':numeroswhatsapp' => $whatsappInputString,
	':numerossms' => $smsInputString,
	':whatsbancolink' => $whatsBanco,
	':smsbancolink' => $smsBanco,
	':formulariosstring' => $formulariosString,
	':puxaemailsbd' => $puxaEmailsBD,
	':datainicialads' => $_POST['datainicialads']
);

if (empty($_POST['senha'])) {
	unset($parametros[':senha']);
}

try {
	/* Salva os dados no banco */
	$sql = empty($_POST['senha']) ?
		'UPDATE TBL_CLIENTE SET DT_INICIOADS = :datainicialads, TXT_WHATSAPP_LINK = :whatsbancolink, TXT_SMS_LINK = :smsbancolink, NU_WHATSAPPS = :numeroswhatsapp, NU_SMSS = :numerossms, NU_ESCONDER_LIGACOES_EFETUADAS = :esconderligacoesefetuadas, NU_MOSTRAR_CPL = :mostrarcpl, TXT_NOME = :nome, TXT_LOGIN = :login, TXT_EMAIL = :email1, TXT_NOME_EMPRESA = :empresa, TXT_RAMO = :tags, NU_ADWORDS = :adwords, NU_TELEFONE_1 = :telefone1, NU_TELEFONE_2 = :telefone2, TXT_EMAIL_2 = :email2, TXT_ANOTACOES = :anotacoes, TXT_URL_BTN_CONTATO = :txturlbtncontato, TXT_CONSULTORIA = :consultoria, NU_VONOID = :vonoid, DT_VONOINICIO = :vonoinicio, DT_VONOFIM = :vonofim, TXT_GOOGLE = :google, TXT_FONE = :ligacoes, TXT_LEADS = :leads, TXT_HOME = :home, TXT_NOTIFICACAO_FECHAMENTO = :fechamento, NU_PERM_BTN_ADICIONAR_LEAD = :btnaddlead, NU_PRECO_LIGACAO = :valorligacoes, NU_WHATSAPP = :whatsapp, NU_SMS = :sms, NU_CLIENTE_ATIVO = :clienteativo, NU_CLIENTE_IMPORTANTE = :clienteimportante, NU_POSSUI_WIN7FONE = :win7foneativo, NU_DDI_MASCARA = :mascaraddi, NU_PERM_LINKCLIQUE = :linkclique, TXT_LOG = :logativo, NU_ATIVAR_DADOS_GERAIS = :dadosgerais, TXT_ID_TAG_FORMS = :tagforms, NU_PERM_PAUSAR_CAMPANHAS = :permpausarcampanhas, NU_MOSTRAR_TOTAL_REAL_LIGACOES = :mostrartotalligacoes, NU_AGRUPAR_LIGACOES = :agruparligacoes, NU_MOEDA_ADWORDS = :moedaadwords, NU_MOSTRAR_SOMENTE_CAMPANHAS = :mostrarapenascampanhas, TXT_LIMITE_CUSTO_LEAD = :limitecustolead, TXT_SEGUIMENTO = :seguimento, TXT_COMPARACAO = :comparacao, TXT_FORMS = :formulariosstring, NU_FORMS_ATIVADO = :puxaemailsbd WHERE ID_CLIENTE = :id' :
		'UPDATE TBL_CLIENTE SET DT_INICIOADS = :datainicialads, TXT_WHATSAPP_LINK = :whatsbancolink, TXT_SMS_LINK = :smsbancolink, NU_WHATSAPPS = :numeroswhatsapp, NU_SMSS = :numerossms, NU_ESCONDER_LIGACOES_EFETUADAS = :esconderligacoesefetuadas,NU_MOSTRAR_CPL = :mostrarcpl, TXT_NOME = :nome, TXT_LOGIN = :login, TXT_EMAIL = :email1, TXT_NOME_EMPRESA = :empresa, TXT_RAMO = :tags, NU_ADWORDS = :adwords, NU_TELEFONE_1 = :telefone1, NU_TELEFONE_2 = :telefone2, TXT_EMAIL_2 = :email2, TXT_ANOTACOES = :anotacoes, TXT_URL_BTN_CONTATO = :txturlbtncontato, TXT_CONSULTORIA = :consultoria, NU_VONOID = :vonoid, DT_VONOINICIO = :vonoinicio, DT_VONOFIM = :vonofim, TXT_GOOGLE = :google, TXT_FONE = :ligacoes, TXT_LEADS = :leads, TXT_HOME = :home, TXT_NOTIFICACAO_FECHAMENTO = :fechamento, NU_PERM_BTN_ADICIONAR_LEAD = :btnaddlead, TXT_SENHA_NOVA = :senha, NU_PRECO_LIGACAO = :valorligacoes, NU_WHATSAPP = :whatsapp, NU_SMS = :sms, NU_CLIENTE_ATIVO = :clienteativo, NU_CLIENTE_IMPORTANTE = :clienteimportante, NU_POSSUI_WIN7FONE = :win7foneativo, NU_DDI_MASCARA = :mascaraddi, NU_PERM_LINKCLIQUE = :linkclique, TXT_LOG = :logativo, NU_ATIVAR_DADOS_GERAIS = :dadosgerais, TXT_ID_TAG_FORMS = :tagforms, NU_PERM_PAUSAR_CAMPANHAS = :permpausarcampanhas, NU_MOSTRAR_TOTAL_REAL_LIGACOES = :mostrartotalligacoes, NU_AGRUPAR_LIGACOES = :agruparligacoes, NU_MOEDA_ADWORDS = :moedaadwords, NU_MOSTRAR_SOMENTE_CAMPANHAS = :mostrarapenascampanhas, TXT_LIMITE_CUSTO_LEAD = :limitecustolead, TXT_SEGUIMENTO = :seguimento, TXT_COMPARACAO = :comparacao, TXT_FORMS = :formulariosstring, NU_FORMS_ATIVADO = :puxaemailsbd WHERE ID_CLIENTE = :id';
	$sistema->bd->executar($sql, $parametros);

	/* Salva os nomes dos ramais no banco */
	$sistema->bd->executar("DELETE FROM TBL_VONOIDS WHERE NU_IDCLIENTE = '$id'");
	for ($counterVono = 1; $counterVono <= $quantidade_vono; $counterVono++) {
		$vonoid = $_POST['vono' . $counterVono];
		$vononome = $_POST['vonoNome' . $counterVono];
		if (empty($vononome)) {
			$vononome = $_POST['vono' . $counterVono];
		}
		$sistema->bd->executar('INSERT INTO TBL_VONOIDS (NU_IDCLIENTE, NU_VONOID, TXT_NOME) VALUES(:NU_IDCLIENTE, :NU_VONOID, :TXT_NOME)', array(':NU_IDCLIENTE' => $id, ':NU_VONOID' => $vonoid, ':TXT_NOME' => $vononome));
	}

	// Inicia o processo de salvar os subusuários
	$quantidade_usuarios = intval($_POST['qtdUsuarios']);
	for ($counterUsuarios = 1; $counterUsuarios <= $quantidade_usuarios; $counterUsuarios++) {
		// Obtém todos os dados do subusuário
		$id_usuario = $_POST['idUsuario' . $counterUsuarios];
		$nome = $_POST['subusuarioNome' . $counterUsuarios];
		$login = $_POST['subusuarioLogin' . $counterUsuarios];
		$senha = empty($_POST['subusuarioSenha' . $counterUsuarios]) ? false : Utilitarios::hash_str($_POST['subusuarioSenha' . $counterUsuarios]);
		$permissao_indicacoes = intval($_POST['indicacoesPerm' . $counterUsuarios]);
		$permissao_contatos = intval($_POST['contatosPerm' . $counterUsuarios]);
		$permissao_adwords = $_POST['adwordsPerm' . $counterUsuarios] == "Sim" ? 0 : 2;
		$permissao_log = $_POST['logPerm' . $counterUsuarios] == "Sim" ? 0 : 2;
		$permissao_win7fone = $_POST['win7fonePerm' . $counterUsuarios] == "Sim" ? 0 : 2;
		$permissao_indicacoes = ($permissao_indicacoes > 2 || $permissao_indicacoes < 0) ? 0 : $permissao_indicacoes;
		$permissao_contatos = ($permissao_contatos > 2 || $permissao_contatos < 0) ? 0 : $permissao_contatos;
		$pag_home = $_POST['inicioSubusuario' . $counterUsuarios];
		$dados_gerais_sub = $_POST['dadosgerais' . $counterUsuarios] == "Sim" ? 1 : 0;

		// Verifica se já existe o subusuário
		$dados = $sistema->bd->executar('SELECT NU_ID FROM TBL_SUBUSUARIOS WHERE NU_ID = :ID AND ID_CLIENTE_FK = :ID2', array(':ID2' => $id, ':ID' => $id_usuario), Banco_Dados::FETCH_ALL);

		if (count($dados) > 0) { // Subusuário já existe, então só atualiza ele
			if (empty($senha)) { // Senha nova não foi informada, então salva apenas os outros dados
				$sql = 'UPDATE TBL_SUBUSUARIOS SET TXT_NOME = :NOME, TXT_LOGIN = :LOGIN, NU_PERM_INDICACOES = :PERM1, NU_PERM_CONTATOS = :PERM2, NU_PERM_ADWORDS = :PERM3, NU_PERM_LOG = :PERM4, NU_PERM_WIN7FONE = :PERM5, NU_ATIVAR_DADOS_GERAIS = :PERM6, TXT_HOME = :HOME WHERE NU_ID = :ID AND ID_CLIENTE_FK = :ID2';
				$params = array(
					":NOME" => $nome,
					":LOGIN" => $login,
					":PERM1" => $permissao_indicacoes,
					":PERM2" => $permissao_contatos,
					":PERM3" => $permissao_adwords,
					":PERM4" => $permissao_log,
					":PERM5" => $permissao_win7fone,
					":PERM6" => $dados_gerais_sub,
					':ID2' => $id,
					':ID' => $id_usuario,
					":HOME" => $pag_home
				);
			} else { // Se uma senha nova foi informada, salva ela junto
				$sql = "UPDATE TBL_SUBUSUARIOS SET TXT_NOME = :NOME, TXT_LOGIN = :LOGIN, NU_PERM_INDICACOES = :PERM1, NU_PERM_CONTATOS = :PERM2, NU_PERM_ADWORDS = :PERM3, NU_PERM_LOG = :PERM4, NU_PERM_WIN7FONE = :PERM5, NU_ATIVAR_DADOS_GERAIS = :PERM6, TXT_SENHA_NOVA = :SENHA, TXT_SENHA = '', TXT_HOME = :HOME WHERE NU_ID = :ID AND ID_CLIENTE_FK = :ID2";
				$params = array(
					":NOME" => $nome,
					":LOGIN" => $login,
					":PERM1" => $permissao_indicacoes,
					":PERM2" => $permissao_contatos,
					":PERM3" => $permissao_adwords,
					":PERM4" => $permissao_log,
					":PERM5" => $permissao_win7fone,
					":PERM6" => $dados_gerais_sub,
					':ID2' => $id,
					':ID' => $id_usuario,
					":SENHA" => $senha,
					":HOME" => $pag_home
				);
			}
			$sistema->bd->executar($sql, $params);
		} else { // Subusuário não existe, então insere ele no banco
			if (empty($senha)) { // Se a senha está vazia, então cria uma padrão
				$senha = Utilitarios::hash_str("123456");
			}
			$sql = 'INSERT INTO TBL_SUBUSUARIOS (TXT_NOME, TXT_LOGIN, NU_PERM_INDICACOES, NU_PERM_CONTATOS, NU_PERM_ADWORDS, NU_PERM_LOG, NU_PERM_WIN7FONE, NU_ATIVAR_DADOS_GERAIS,
			 TXT_SENHA_NOVA, ID_CLIENTE_FK, TXT_HOME) VALUES (:NOME,:LOGIN,:PERM1,:PERM2,:PERM3,:PERM4,:PERM5, :PERM6,:SENHA,:ID, :HOME)';
			$params = array(
				":NOME" => $nome,
				":LOGIN" => $login,
				":PERM1" => $permissao_indicacoes,
				":PERM2" => $permissao_contatos,
				":PERM3" => $permissao_adwords,
				":PERM4" => $permissao_log,
				":PERM5" => $permissao_win7fone,
				":PERM6" => $dados_gerais_sub,
				':ID' => $id,
				":SENHA" => $senha,
				":HOME" => $pag_home
			);

			$sistema->bd->executar($sql, $params);
		}
	}

	$quantidade_campanhas = intval($_POST['qtdCampanhas']);
	$ids_campanhas = array();

	for ($counterCampanhas = 1; $counterCampanhas <= $quantidade_campanhas; $counterCampanhas++) {
		$id_campanha = $_POST['idCampanha' . $counterCampanhas];
		$id_real = trim($_POST['idCampanhaReal' . $counterCampanhas]);
		$nome_campanha = trim($_POST['nomeCampanha' . $counterCampanhas]);

		if ($id_campanha == "-1") {
			$sistema->bd->executar('INSERT INTO TBL_CAMPANHAS_CLIENTE (TXT_NOME, ID_CAMPANHA, ID_CLIENTE_FK) VALUES (:nome, :campanha, :id)', array(
				':nome' => $nome_campanha,
				':campanha' => $id_real,
				':id' => $_POST['id']
			));
			$ids_campanhas[] = intval($sistema->bd->ultima_id());
		} else {
			if (!ctype_digit($id_campanha)) {
				continue;
			}
			$sistema->bd->executar('UPDATE TBL_CAMPANHAS_CLIENTE SET TXT_NOME = :nome, ID_CAMPANHA = :campanha WHERE NU_ID = :id AND ID_CLIENTE_FK = :id2', array(
				':nome' => $nome_campanha,
				':campanha' => $id_real,
				':id' => $id_campanha,
				':id2' => $_POST['id']
			));
			$ids_campanhas[] = intval($id_campanha);
		}
	}
	if (count($ids_campanhas) == 1) {
		$sql = "DELETE FROM TBL_CAMPANHAS_CLIENTE WHERE ID_CLIENTE_FK = :id AND NU_ID != '" . $ids_campanhas[0] . "'";
		$sistema->bd->executar($sql, array(':id' => $_POST['id']));
	} else if (count($ids_campanhas) > 1) {
		$sql = "DELETE FROM TBL_CAMPANHAS_CLIENTE WHERE ID_CLIENTE_FK = :id AND NU_ID != '" . $ids_campanhas[0] . "'";
		$total = count($ids_campanhas);
		for ($i = 1; $i < $total; $i++) {
			$sql .= " AND NU_ID != '" . $ids_campanhas[$i] . "'";
		}
		$sistema->bd->executar($sql, array(':id' => $_POST['id']));
	} else if (count($ids_campanhas) == 0) {
		$sql = "DELETE FROM TBL_CAMPANHAS_CLIENTE WHERE ID_CLIENTE_FK = :id";
		$sistema->bd->executar($sql, array(':id' => $_POST['id']));
	}

	// Monta os novos dados do cliente para atualizar a tabela
	$resultado = array();

	$cliente = $sistema->obter_cliente($_POST['id']);

	$adwords = $cliente['NU_ADWORDS'] == "" ? "--" : $cliente['NU_ADWORDS'];

	$data_alteracao = $cliente['NU_ACESSOS_SISTEMA_DATA'];
	if (Utilitarios::data_padrao_valida($data_alteracao)) {
		$data_alteracao = strtotime($data_alteracao);
		$data_alteracao = date('d/m/Y H:i:s', $data_alteracao);
	} else {
		$data_alteracao = "Nunca";
	}

	$sistema->logs->adicionar_log_salvar_dados_cliente($cliente['TXT_NOME_EMPRESA'], $cliente['ID_CLIENTE']);

	// Adiciona o cliente na array que será enviada por meio de JSON
	$resultado[] = array(
		"id" => $cliente['ID_CLIENTE'],
		"nome" => $cliente['TXT_NOME_EMPRESA'],
		"login" => $cliente['TXT_LOGIN'],
		"adwords" => $adwords,
		"ramo" => $cliente['TXT_RAMO'],
		"acesso" => $data_alteracao,
		"consultoria" => $cliente['TXT_CONSULTORIA'] == "0" ? "Não" : "Sim",
		"email" => empty($cliente['TXT_EMAIL']) ? "--" : $cliente['TXT_EMAIL'],
		"telefone" => empty($cliente['NU_TELEFONE_1']) ? "--" : $cliente['NU_TELEFONE_1'],
		"whatsapp" => $cliente['NU_WHATSAPP'] == "0" ? "Inativo" : "Ativo",
		"ativo" =>  $cliente['NU_CLIENTE_ATIVO'] == "0" ? "Não" : "Sim",
		"possuiwin7phone" => $cliente['NU_POSSUI_WIN7FONE'] == "0" ? "Não" : "Sim"
	);

	echo json_encode_alt($resultado);
} catch (Exception $e) {
	echo "-2Houve um erro com o servidor";
	exit;
}
